Search facts
Search a Space's extracted facts by relevance (BM25) or, with regex=true, by regular expression. Returns an empty result list rather than an error when nothing matches.
Authorization
bearerApiKey Create a scoped API key in the Adlass settings.
In: header
Path Parameters
Resource identifier: space_id.
uuidHeader Parameters
Optional correlation identifier.
length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/spaces/123e4567-e89b-42d3-a456-426614174000/facts/search" \ -H "Content-Type: application/json" \ -d '{ "pattern": "example" }'{ "space_id": "123e4567-e89b-42d3-a456-426614174000", "pattern": "invoice", "regex": false, "results": [ { "key": "invoice_total", "value": "1250.00", "confidence": 0.98, "source_field": "total", "metadata": { "document_id": "123e4567-e89b-42d3-a456-426614174001", "file_name": "invoice-2026-09.pdf" }, "lastupdate": "2026-09-04T12:00:00Z" } ], "total_returned": 1}